package aexp.intentreceiver;

import aexp.data.TwoNumbers;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

public class IntentReceiver extends Activity
{
    /** Called with the activity is first created. */
    @Override
    public void onCreate(Bundle icicle)
    {
    	super.onCreate(icicle);
    	Bundle extras = getIntent().getExtras();
    	if( extras != null ) {
            TwoNumbers item = extras.getParcelable( "item");
    	    Intent resIntent = new Intent();
            if( item != null ) {
    	      int result = item.getI1() + item.getI2();
    	      resIntent.putExtra( "r",result );
            }
    		setResult(RESULT_OK, resIntent);
    		finish();
    	} else
    		setContentView(R.layout.main);
    }
}
