package aexp.data;

import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;

public class TwoNumbers implements Parcelable{
	private static final String LOG_TAG = "TwoNumbers1";
	private int i1;
	private int i2;

	// Constructor
	public TwoNumbers(int i1, int i2){
		this.i1 = i1;
		this.i2 = i2;
	}
	
	public int getI1() {
		return i1;
	}

	public int getI2() {
		return i2;
	}
	
	public void setI1(int i1) {
		this.i1 = i1;
	}

	public void setI2(int i2) {
		this.i2 = i2;
	}
	
	// Parcelling part
	public TwoNumbers(Parcel in){
		this.i1 = in.readInt();
		this.i2 = in.readInt();
		Log.d( LOG_TAG, "deserializing in TwoNumbers#1: i1: "+i1+"; i2: "+i2);
	}

	public int describeContents(){
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeInt(i1);
		dest.writeInt(i2);
		Log.d( LOG_TAG, "serializing in TwoNumbers#1: i1: "+i1+"; i2: "+i2);
	}

	@SuppressWarnings("rawtypes")
	public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
		public TwoNumbers createFromParcel(Parcel in) {
			return new TwoNumbers(in); 
		}

		public TwoNumbers[] newArray(int size) {
			return new TwoNumbers[size];
		}
	};
}
