package aexp.intentsender;

import aexp.data.TwoNumbers;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

public class IntentReceiver extends Activity
{
	private static final String LOG_TAG = "IntentReceiver_INT";
    /** Called with the activity is first created. */
    @Override
    public void onCreate(Bundle icicle)
    {
    	super.onCreate(icicle);
    	Bundle extras = getIntent().getExtras();
    	if( extras != null ) {
    		TwoNumbers item = extras.getParcelable( "item");
    		Log.d( LOG_TAG, "item: "+item);
    		Intent resIntent = new Intent();
    		if( item != null ) {
    			int result = item.getI1() + item.getI2();
    			Log.d(LOG_TAG, "result: "+result);
    			resIntent.putExtra( "r",result );
    		}
    		setResult(RESULT_OK, resIntent);
    		finish();
    	} 
    }
}
